%global blaslib flexiblas

Summary:    A Fortran library for fast updates of QR and Cholesky decompositions
Name:       qrupdate
Version:    1.1.2
Release:    3%{?dist}
License:    GPLv3+
URL:        http://qrupdate.sourceforge.net/
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires: make gcc-gfortran %{blaslib}-devel

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky decompositions.

%package devel
Summary:    Development libraries for %{name}
Requires:    %{name} = %{version}-%{release} %{blaslib}-devel

%description devel
This package contains the development libraries for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build solib FC=gfortran FFLAGS="%{optflags} \
    -fimplicit-none \
    -funroll-loops \
    -fallow-argument-mismatch" BLAS="-l%{blaslib}" LAPACK= \
    %{nil}

%install
make install-shlib LIBDIR=%{_libdir} PREFIX="%{buildroot}"
chmod 755 %{buildroot}%{_libdir}/libqrupdate.*

%check
make test FC=gfortran FFLAGS="%{optflags} -fimplicit-none -funroll-loops -fallow-argument-mismatch" BLAS="-l%{blaslib}" LAPACK=

%files
%license COPYING
%doc README ChangeLog
%{_libdir}/libqrupdate.so.*

%files devel
%{_libdir}/libqrupdate.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Shuo Wang <abushwang@tencent.com> - 1.1.2-1
- initial build
